lucy-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Peter Karman <pe...@peknet.com>
Subject Re: [lucy-dev] [VOTE] Apache Lucy 0.1.0-incubating release candidate #3
Date Mon, 23 May 2011 15:56:11 GMT
Peter Karman wrote on 05/21/2011 09:45 AM:
> Marvin Humphrey wrote on 5/21/11 1:10 AM:
> 
>> +1 to release RC3.
> 
> +1
> 

Tested on Linux Centos 5.5 with locally-compiled perl 5.10.0. All tests
pass with no warnings.

However, tested on Ubuntu 9.04 with locally-compiled perl 5.8.9:

In file included from xs/XSBind.c:19:

xs/XSBind.h:226:13: warning: missing terminating ' character

xs/XSBind.h:232:13: warning: missing terminating ' character


and then, fatally,

t/001-build_indexes.t ................ Lucy object version 0.001000 does
not match bootstrap parameter 0.001 at
/usr/local/perl/589/lib/5.8.9/i686-linux/DynaLoader.pm line 249.




which seems to be a bug with the XSLoader 0.10 in Perl 5.8.9 on my
machine, for which 0.001000 != 0.001.

The fix is to update our devel/bin/update_version script to catch the
version string in lib/Lucy.pm. I can do that for future, but not sure
whether this constitutes a need to withdraw my +1 or not.

Thoughts?

-- 
Peter Karman  .  http://peknet.com/  .  peter@peknet.com

Mime
View raw message